Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-107299

can't disconnect/destroy zfs pool

    XMLWordPrintable

    Details

    • Impact:
      Low

      Description

      I try to destroy a pool on WebUI and get folowing error:

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/middlewared/plugins/zfs.py", line 139, in do_delete
          zfs.destroy(name, force=options['force'])
        File "libzfs.pyx", line 382, in libzfs.ZFS.__exit__
        File "/usr/lib/python3/dist-packages/middlewared/plugins/zfs.py", line 139, in do_delete
          zfs.destroy(name, force=options['force'])
        File "libzfs.pyx", line 1286, in libzfs.ZFS.destroy
      libzfs.ZFSException: umount failed
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/lib/python3.8/concurrent/futures/process.py", line 239, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/worker.py", line 91, in main_worker
          res = MIDDLEWARE._run(*call_args)
        File "/usr/lib/python3/dist-packages/middlewared/worker.py", line 45, in _run
          return self._call(name, serviceobj, methodobj, args, job=job)
        File "/usr/lib/python3/dist-packages/middlewared/worker.py", line 39, in _call
          return methodobj(*params)
        File "/usr/lib/python3/dist-packages/middlewared/worker.py", line 39, in _call
          return methodobj(*params)
        File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 977, in nf
          return f(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/plugins/zfs.py", line 144, in do_delete
          raise CallError(str(e), errno_)
      middlewared.service_exception.CallError: [EBUSY] umount failed
      """
      
      The above exception was the direct cause of the following exception:
      
      Traceback (most recent call last):
        File "/usr/lib/python3/dist-packages/middlewared/job.py", line 372, in run
          await self.future
        File "/usr/lib/python3/dist-packages/middlewared/job.py", line 408, in __run_body
          rv = await self.method(*([self] + args))
        File "/usr/lib/python3/dist-packages/middlewared/schema.py", line 973, in nf
          return await f(*args, **kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/plugins/pool.py", line 1521, in export
          await self.middleware.call('zfs.pool.delete', pool['name'])
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1238, in call
          return await self._call(
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1196, in _call
          return await methodobj(*prepared_call.args)
        File "/usr/lib/python3/dist-packages/middlewared/service.py", line 475, in delete
          rv = await self.middleware._call(
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1204, in _call
          return await self._call_worker(name, *prepared_call.args)
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1210, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1137, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/lib/python3/dist-packages/middlewared/main.py", line 1111, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      middlewared.service_exception.CallError: [EBUSY] umount failed
      

      Steps to reproduce:

      Storage

       

      Export/disconnect pool:

       

      Error:

       

      in cli also did not work:

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Release Council
                Reporter:
                stonet Thomas Kiesel
                Watchers:
                Thomas Kiesel, William Grzybowski
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: